
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++语言简介 / iVAN</title>

    <meta name="description" content="C++语言简介 c++     我们已看到用COM服务器组件对于建立一个基于网络的应用程序的重要性,但问题不在于是否建立它们,而在于用什么语言去创建.一种选择是用C++.    人们对C++有许多不同的看法,保守的C++程序员坚持用其他语言创建COM组件,他们认为只有真正的程序员使用C++.另一方面,VB程序员认为C++是一种很难掌握和使用的语言,没有必要增加编程时间和进行艰难的尝试.Java程序员认为他们比C++程序员强,因为James Gosling(Java的发明者)吸收了许多语言(包括C++ )的优点发">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C++语言简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>c++</p>
<p>    我们已看到用COM服务器组件对于建立一个基于网络的应用程序的重要性，但问题不在于是否建立它们，而在于用什么语言去创建。一种选择是用C++。<br />    人们对C++有许多不同的看法，保守的C++程序员坚持用其他语言创建COM组件，他们认为只有真正的程序员使用C++。另一方面，VB程序员认为C++是一种很难掌握和使用的语言，没有必要增加编程时间和进行艰难的尝试。Java程序员认为他们比C++程序员强，因为James Gosling(Java的发明者)吸收了许多语言(包括C++ )的优点发明了Java，本章和下一章的目的就是消除对C++的偏见和错误概念。<br />    本章集中介绍用C++ 建立服务器组件，不讲述C++语言，如果想学C++ ，请参阅Ivor.Horton著的《Beginning Visual C++6》，Wrox 出版，书号为ISBN 1-861000-88-X。<br />    本章的主要内容有：<br />    ? C++简史。<br />    ? 使用C++原因。<br />    ? 从VB移植到C++。<br />    ? ATL、STL和MFC介绍。<br />    ? 建立一个COM组件。<br />    ? 错误处理与调试。<br />    更重要的是应该记住，现在，不只是在用C++建立组件，可以使用Visual C++中可用的任何工具，使得建立过程更加容易。先从C++的起源谈起。<br />17.1 C++语言<br />    在决定是否使用C++语言之前，最好是搞清楚这种语言的实质，让我们看一下C++的历史和现状。<br />17.1.1 C++简史<br />    刚开始形成的是C语言，那些想建立更快更有效的代码的程序员非常欣赏C语言，有一位名叫Bjarne Stroustrup的人却不满足于仅仅是生产快速代码，他想创建面向对象的C语言编程。他开始对C语言的内核进行必要的修改，使其能满足面向对象模型的要求。C++从此产生。<br />    Bjarne Stroustrup是C++的最初设计者和实现者。它自诞生以来，经过开发和扩充已成一种完全成熟的编程语言。现在C++已由ANSI、BSI、DIN、其他几个国家标准机构和ISO定为标准。ISO标准于1997年11月4日经投票正式通过。<br />    C++标准演变了许多年。C++模板是近几年来对此语言的一种扩展，模板是根据类型参数来产生函数和类的机制，有时也称模板为“参数化的类型”。使用模板，可以设计一个对许多类型的数据进行操作的类，而不需要为每个类型的数据建立一个单独的类。标准模板库(Standard Tempalte Library，STL )和微软的活动模板库(Active Tempalte Library，ATL )都基于这个C++语言扩展。<br />    C++标准可分为两部分， C++语言本身和C++标准库。C++标准库对于Visual C++是相当新的，实际上微软只是在发布Visual C++ 5.0时去除了一些“bug”。标准库提供了标准的输入/输出、字符串、容器(如矢量、列表和映射等)、非数值运算(如排序、搜索和合并等)和对数值计算的支持。应该说， C/C++包含了相对少的关键字，而且很多最有用的函数都来源于库，C++标准库实现容器和算法的部分就是STL。<br />    STL是数据结构和算法的一个框架，数据结构包括矢量、列表和映射等，算法包括这些数据结构的查找、拷贝和排序等。1994年7月，ANSI/ISO C++标准委员会投票决定接受STL为C++标准库的一部分，这个建议是根据Alex Stepanov、Meng Lee和David Musser这三人的编程和软件库研究提出的。STL的产生是为了满足通用性的设计目标，而不是为了提高性能。<br />    那么微软对C++标准的态度怎什么样？微软运行VC++与Plum-Hall C++，想比较得到的分数在92%和93%之间。为什么不是100%的一个原因是跟踪这个标准并同时建立一个编译器比较困难，微软也考虑了对现有编码兼容的重要性，有时他们不得不偏离标准以保持这个兼容性。<br />17.1.2 使用C++的原因<br />    应该有充分的理由使用C++创建服务器组件，而不只是为了给上司一个好印象才使用C++。如果以前没用过C++，你必须要尽力学习。<br />    1. 性能<br />    性能有个两方面，算法速度和机器代码效率。一个算法可以定义为数据通过系统的概念化的路径，它描述一些点，在这些点上，数据能够被操作并可转换产生某个结果。例如，一个算法定义为获取一个字符串，计算字符串中的字符个数，并作为结果返回的过程。算法与<br />语言是独立的，所以在编程之前必须设计算法，编写一个快速程序的第一个步骤是设计良好的算法，能以最少的操作步骤得出问题的答案。第二个步是选择语言，这也影响程序的速度。<br />    从性能的角度考虑，用汇编语言编写程序是最佳的选择，它是计算机能理解的自然语言。但是，几乎没有人用汇编语言编写完整的程序，因为这样做极其乏味。另一个最佳的选择是C语言。然而，由VC++提供的所有工具都产生C++，而不是C。使用VC++的向导可以生成大量的使用代码，而不必人工地编写代码。从编写程序的难易程度和程序的性能综合考虑， C++是最佳的选择。<br />    C++性能良好，因为它被编译为机器代码。对于VBScript和Java等语言，代码在运行时由程序解释，而且每次运行程序时都要将代码转换为机器码，这样做效率比较低，不仅仅是已编译过的C++程序运行得较快，而且微软C++编译器已存在多年。这意味着微软的编译器程序员已经把许多优点集中到编译器上，以致于它能产生非常高效的机器码。因为C++是编译语言，而且非常自然，比VB更接近机器代码，所以由C++编译器产生的代码一定比VB的编译代码效率更高。<br />    2. 错误处理<br />    一个好的程序与一个伟大的程序的区别就是其是否具有良好的错误处理支持。实际上，如果在实现中首先进行错误处理，而不是在最后才进行，那么整个程序的开发和测试过程会更加完美。但是，错误处理只能与语言所支持的内容相一致。<br />    VBScript具有基本的错误处理支持功能。在默认情况下，不能捕获VBScript中的错误。每次怀疑产生错误时，要调用On Error Resume Next功能，并检查Error对象。<br />    而C++中的错误处理比较好，这是因为有“异常处理”，本章的后面部分将详细介绍。<br />    3. 最小的依赖性<br />    正如上面所说，C++是一种编译语言，即C++代码在执行之前已转换为机器码。只要此代码不依赖于外部的动态链接库(DLL)，C++就可以在不需要安装额外程序的情况下移动到运行同样操作系统的其他机器和微处理器上，而移动Java程序时需要先安装Java运行期库。<br />    4. 利用现有的代码<br />    由于C和C++已经存在许多年了，现在有许多可利用的代码，你的服务器组件可以使用现有的C/C++代码或库。例如统计库和到老系统的C接口。<br />    5. 最大化COM特征<br />    COM与C++很接近，实际上， Don Box(COM的权威)在他的《Essential COM》一书的第一章写道：“COM就是更好的C++”。他说明了COM规范是如何从C++语言规律中产生出来的。通过理解C++，会对COM有更深的理解。<br />    某些语言不能利用所有的COM特征，而在C++中，几乎可以使用所有的COM特征。<br />17.1.3 不使用C++的原因<br />    知道什么时候使用C++是重要的，同样，知道什么时候不使用C++也是重要的。想像一下那些长期维护代码的人，如果他们中没有一些C++程序员支持C++，那么开发者们不得不把眼光转向另外一些他们熟悉的语言。<br />    改变C++组件时，为了看到这些改变的结果，必须重新编译该组件代码，这会花费很长的开发时间。C++不能像ASP页面代码那样，只使用记事本，改变代码的一行，重新装载而得到结果。因此，如果某些工作需要经常变化(如原型)，不要用C++。<br />    在C++中，对一些致命的错误不能获得更多的保护，写一个使组件崩溃的代码是很容易的。这是为了提供快速代码而付出的代价， C++不会停下来去检查代码是否按设计运行能否使程序不崩溃依赖于开发者的技巧。如果在这方面花的时间较少或刚刚学习C++，最好不要使用C++。等到已经意识到C++中所有容易犯的错误，而且在检测组件之前花了许多时间，才可以使用C++，如果想很快、很容易地建立一个组件，而且也不考虑该组件的执行速度，那么使用VB吧！<br />17.1.4 把ASP技巧转到C++上<br />    学习新东西的最好方法就是利用现有的技巧。对于ASP开发者来说，已经学习了C++所要求的许多技巧，特别是，JScript语法和ActiveX或COM的面向对象编程的概念。<br />    1. JScript<br />    大部分ASP开发者都用JScript在浏览器上使用DHTML。JScript的语法与C非常相似，所以，如果懂得JScript，那么就懂得基本的C语法。当然，只是C++语法的子集。C++有许多额外的语法来支持面向对象编程，这就是我们下一步要做的。<br />    2. 面向对象编程<br />    如果你在VB中使用过类(class)，则对任何COM对象和文档对象模型(Document ObjectModel，DOM )都应熟悉，因为已经有了面向对象编程(OOP)的概念。在前面已经说过， C和C++的区别是C++支持面向对象编程。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-25 07:27:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%af%ad%e8%a8%80/" title="语言">语言</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%a0%87%e5%87%86/" title="标准">标准</a>, <a href="https://www.iamivan.net/tag/%e7%bb%84%e4%bb%b6/" title="组件">组件</a>, <a href="https://www.iamivan.net/tag/c-stl/" title="c&plus;&plus;stl">c&plus;&plus;stl</a>, <a href="https://www.iamivan.net/tag/c-c-%e7%bc%96%e7%a8%8b/" title="c c&plus;&plus;编程">c c&plus;&plus;编程</a>, <a href="https://www.iamivan.net/tag/c%e8%af%ad%e8%a8%80-c/" title="c语言 c&plus;&plus;">c语言 c&plus;&plus;</a>, <a href="https://www.iamivan.net/tag/c-%e6%95%b0%e6%8d%ae%e7%bb%93%e6%9e%84/" title="c&plus;&plus; 数据结构">c&plus;&plus; 数据结构</a>, <a href="https://www.iamivan.net/tag/c-%e7%a8%8b%e5%ba%8f/" title="c&plus;&plus;程序">c&plus;&plus;程序</a>, <a href="https://www.iamivan.net/tag/c-%e7%bc%96%e7%a8%8b/" title="c&plus;&plus;编程">c&plus;&plus;编程</a>, <a href="https://www.iamivan.net/tag/c-%e5%ae%9e%e9%99%85%e9%97%ae%e9%a2%98/" title="c&plus;&plus;实际问题">c&plus;&plus;实际问题</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95-c/" title="算法 c&plus;&plus;">算法 c&plus;&plus;</a>, <a href="https://www.iamivan.net/tag/c-c%e8%af%ad%e8%a8%80/" title="c&plus;&plus; c语言">c&plus;&plus; c语言</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C++语言简介的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNAjwM.html" rel="bookmark">《从问题到程序：用Python学编程和计算》&mdash;&mdash;1&period;2　Python语言简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 Python语言简介 本节将首先简单介绍Python语言的一些基本情况,包括其发展和使用的情况.而后介绍Python语言系统的安装和使用方面的基本常识.1.2.1 Python语言的发展和应用 Python语言是CWI(荷兰国家数学和计算机研究中心)的程序员Guido van Rossum在1989年开始开发的一种高级编程语言,当时的主要设计目标是希望能用于方便地管理CWI的Amoeba操作系统.后来,由于其各方面的优点而逐渐流行起来. Python语言现在由Python软件基金会(Py			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx0qw0M.html" rel="bookmark">《Lua游戏开发实践指南》一2&period;1脚本语言简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.1脚本语言简介 脚本语言可以方便地与计算机底层功能交互.这体现在它常常被当做批处理命令工具,即发送一系列重复的指令给命令处理器的工具.所以早期的脚本语言常常称做批处理语言或者作业控制语言. 一个熟悉的例子就是MSDOS时期的老的*bat文件,这种批处理文件就是简单的文本文件,它包含一系列顺序执行的DOS命令.该语言本身就是DOS命令集合,通过进一步扩展成为一种伪脚本(参考下面的示例). 计算机语言用于解决一些特定的问题,从系统控制级别的C和C++到人工智能处理语言(如LISP).脚本语言			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jYJVp.html" rel="bookmark">《R语言数据分析与挖掘实战》&mdash;&mdash;第2章 R语言简介   2&period;1 R安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2章 R语言简介 R语言是一种为统计计算和图形显示而设计的语言环境,是贝尔实验室(Bell Laboratory)的Rick Becker.John Chambers和Allan Wilks开发的S语言的一种实现,提供了一系列统计和图形显示工具.它是一套开源的数据分析解决方案,由一个庞大且活跃的全球性研究型社区维护.它具有下列优势: 1)作为一个免费的统计软件,R可运行于多种平台之上,包括Windows.UNIX.MacOS和Linux. 2)R可以轻松地从各种类型的数据源导入数据,包括文本文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgE52Zz.html" rel="bookmark">Macromedia Flex 标记语言简介&lowbar;其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Macromedia Flex 标记语言简介      Macromedia Flex(开发代号为Royale)是一个展现服务器,开发者可以用它来开发新一代的&quot;复杂Internet应用&quot;(RIAs - Rich Internet Applications).复杂Internet应用融合了桌面应用的可用性和web应用的易于管理的优点.     Flex是一个在J2EE应用服务器或servlet容器安装的展现服务器.它拥有丰富的用户界面组件.用于排布这些组件的基于XML的标记语言,以及可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA74aQz.html" rel="bookmark">C&sol;C&plus;&plus;学习----C语言简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.基本常识: 1.交互方式: 软件的出现实现了人与计算机之间的更好的交互. 交互方式: 自然交互界面:声音控制,触摸屏手势识别 图形化界面:这种方式简单直观,使用者易于接受,容易上手操作. 命令行方式:需要有一个控制台,输入特定的指令,让计算机完成一些操作.较为麻烦,需要记录住一些命令. 2.计算机结构组成 3.计算机系统组成 4.程序与指令 指令:是对计算机进行程序控制的最小单位. 所有的指令的集合称为计算机的指令系统.电脑是X86,手机是ARM. 程序:是为完成一项特定任务而用某种语言编写			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWVyez.html" rel="bookmark">DOS批处理脚本语言简介与详细说明&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简单批处理内部命令简介 1.Echo 命令 打开回显或关闭请求回显功能,或显示消息.如果没有任何参数,echo 命令将显示当 前回显设置. 语法 echo [{on off}] [message] Sample:@echo off / echo hello world 在实际应用中我们会把这条命令和重定向符号(也称为管道符号,一般用&gt; &gt;&gt; ^)结 合来实现输入一些命令到特定格式的文件中.这将在以后的例子中体现出来. 2.@ 命令 表示不显示@后面的命令,在入侵过程中(例如使用批处理			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ77OJb.html" rel="bookmark">PHP语言简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP开发语言是一种快速.健壮.免费同时功能丰富的开发语言,拥有大量免费的功能库和开发工具可供使用.PHP适用于任何形态和规模的Web应用系统,作为互联网上应用最广泛的开发语言,PHP受到很多知名商业企业.政府机构和公益性组织的欢迎,包括国内很多最顶级的门户网站,都基于PHP体系进行搭建.一个最近发生的情况可能从更深远的层面表现出PHP的能力,就如IBM依靠对Eclipse开放源代码软件的收购从而令自己在Java开发领域风生水起一样,全球最大的数据库供应商和平台级应用软件供应商Oracle,正在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1RkDjp.html" rel="bookmark">深入浅出SQL系列教程之SQL语言简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL是结构化查询语言(Structured Query Language)的缩写.这种语言允许我们对数据库进行复杂的操作.SQL语言的使用范围非常广泛.许多数据库产品都支持SQL语言,这意味着如果我们学会了SQL语言,我们可以把这种知识运用到MS Access 或 SQL Server, Oracle, DB2以及非常多的其它数据库中. SQL语言运用在关系型数据库中.一个关系型数据库把数据存储在表(也称关系)中.每个数据库的主要组成就是一组表.每个表又由一组记录组成--每条记录在表中有相同的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvr72VM.html" rel="bookmark">iOS学习之VFL语言简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是VFL语言 VFL(Visual Format Language),&quot;可视化格式语言&quot;. VFL是苹果公司为了简化autolayout的编码而推出的抽象语言. 语法说明 H:[cancelButton(72)]-12-[acceptButton(50)] cancelButton宽72,acceptButton宽50,它们之间间距12 H:[wideView(&gt;=60@700)] wideView宽度大于等于60point,该约束条件优先级为700(优先级最大值为1000,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMraVbK.html" rel="bookmark" class="title">实现php上传图片到指定位置路径保存到数据库</a>
					<div>
						 本文为大家介绍下php上传图片到指定位置路径保存到数据库的具体实现,感兴趣的朋友不要错过 1.conn.php  代码如下: &lt;?  $host=&quot;localhost&quot;;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq14GM.html" rel="bookmark" class="title">中国奥秘的艰难成长之路</a>
					<div>
						我是在高一时买电脑的.但那时并没有人教导我,自己完全是个电脑文肓.对于安装系统,安装驱程这些根本就是不知所云!我记得当时是很流行罗马帝国的游戏.也是那个时候开始接触到互联网.那时我对互联网是充满着幢景 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQxWZz.html" rel="bookmark" class="title">Apple的设计魅力&colon;简洁，精致，高端，酷</a>
					<div>
						说到Apple的产品,相信大家脑袋上都会浮现出这样的一些关键词:&quot;简洁,精致,高端,酷-&quot;.很多人还没有使用Apple产品,就已经被它的产品设计所吸引了,这就是Apple的设计魅力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b25NZz.html" rel="bookmark" class="title">IOS中UIView的生命周期</a>
					<div>
						UIView对象一般都是由alloc和init方法创建的,由UIViewController进行维护和管理.一般需要完 成的任务有:创建视图,显示视图,隐藏视图和释放视图. 一般视图不会在程序运行时立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW173mz.html" rel="bookmark" class="title">教你使用SharePoint 2007制作一个值班表</a>
					<div>
						公司有了新项目,其中有一块是值班表,简单地说,就是客户需要安排值班,希望把所有的值班安排好,输入到网站中,然后每天发布出来,方便大家看:一开始看到需求,觉得应该用程序去实现,后来想想,其实挺简单,就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo658Xz.html" rel="bookmark" class="title">如何在wps文字中制作树叶图形</a>
					<div>
						  在wps文字中制作树叶图形的方法: 1.打开WPS,找到插入,单击一下,找到形状,再单击一下. 2.就会看到很多的形状了,找到树叶的形状,单击一下. 3.鼠标指向树叶,单击右键,单击设置对象格式. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7OJAM.html" rel="bookmark" class="title">phpstudy 2013经常启动失败怎么办？</a>
					<div>
						  1.这个程序自带FTP服务器,支持多用户,无需再安装FTP服务器.自带网站挂马监视器,随时记录文件的修改情况,让挂马文件无处可逃. 2.程序启动失败,首要原因是防火墙拦截,二是80端口可能已经被别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6Vx3z.html" rel="bookmark" class="title">带你展望2015年最重要的网页设计趋势</a>
					<div>
						当然,有的设计趋势只是昙花一现,但是有的则是自然演进的成果.当我们看着&lt;星际迷航&gt;里进取号飞船中科技感十足的透明控制面板,以及钢铁侠的头盔中的HUD界面,总不免自问,为什么我们的手机UI和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAraJAp.html" rel="bookmark" class="title">win8系统怎么优化SSD固态硬盘</a>
					<div>
						  win8系统怎么优化SSD固态硬盘 一.AHCI硬盘模式可提高硬盘性能,确定你的固态硬盘是运行在AHCI模式下,具体可以在安装系统前在主板bios里面设置好! 二.开启Trim功能减少磁盘擦写操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNEPrM.html" rel="bookmark" class="title">PHP如何将进程作为守护进程</a>
					<div>
						看了这篇:http://blog.codinglabs.org/articles/write-daemon-with-php.html 对里面的posix_setsid()不解 文档解释是&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwggVb.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus; 软件安装问题，--------------------Configuration</a>
					<div>
						问题描述 C++ 软件安装问题,--------------------Configuration 怎么解决--------------------Configuration: asd - Win32 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7O04p.html" rel="bookmark" class="title">eclispe android-eclipse第一次创建android工程出错，请大神指教</a>
					<div>
						问题描述 eclipse第一次创建android工程出错,请大神指教 解决方案 工程make编译一下看看,有些出现红色的X是因为没有编译. 解决方案二: 看下环境配置是否正确.新建项目就出错一般是环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QBR8p.html" rel="bookmark" class="title">mina 编码 写出，延时，flush</a>
					<div>
						问题描述 mina 编码 写出,延时,flush 是这样的,我在Iohandler中的messageReceived中监听请求,收到了请求按分页去查询,我会返回一百页数据,类似于 messageRec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Rm56z.html" rel="bookmark" class="title">聊城：悦达起亚新车多白色斑点竟是&OpenCurlyDoubleQuote;修理货&rdquo;</a>
					<div>
						齐鲁网9月19日讯 据山东广播电视台电视生活频道&lt;生活帮&gt;报道,现在买车买房是咱们老百姓的头等大事,有了房,再买辆车,这生活也觉得有奔头了.买了新车应该是件高兴的事,可是最近聊城市的穆女士 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB698M.html" rel="bookmark" class="title">vc&plus;&plus;-请教一个c&plus;&plus; 变量赋值的问题</a>
					<div>
						问题描述 请教一个c++ 变量赋值的问题 把-1赋值给8比特大小的unsigned char所得的结果是255,请问下这是怎么算的呀?-1对256取模余数的结果吗?如果是的话,请问-1对256取模余数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR56mb.html" rel="bookmark" class="title">jsonp-各位大哥请问如何跨域获得一个app下载地址</a>
					<div>
						问题描述 各位大哥请问如何跨域获得一个app下载地址 这有两张图片,第一张是每次打开添加页面时,让&quot;下载路径&quot;中的input自动获取到 第二张图片中红线那个app下载地址.第二章图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xWxXb.html" rel="bookmark" class="title">曝Win8&period;1硬件配置要求以及具体升级步骤</a>
					<div>
						硅谷网讯 北京时间6月24日消息, Windows8.1预览版将于6月26日发布,距离现在还有 两天时间.在预览版正式发布前,该系统的硬件配置要求和具体的升级步骤已经在网络上 曝光. WindowsR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnJPyM.html" rel="bookmark" class="title">《Spark 官方文档》在YARN上运行Spark</a>
					<div>
						在YARN上运行Spark 对 YARN (Hadoop NextGen) 的支持是从Spark-0.6.0开始的,后续的版本也一直持续在改进. 在YARN上启动 首先确保 HADOOP_CONF_D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk0yqM.html" rel="bookmark" class="title">《设计之外&mdash;&mdash;比修图更重要的111件事》目录&mdash;导读</a>
					<div>
						版权声明 设计之外--比修图更重要的111件事 Burn Your Portfolio: Stuff they don't teach you in design school, but should ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Gm7z.html" rel="bookmark" class="title">创建百度百科初体验</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨天,做优化的朋友大勇推荐我给网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO8GDb.html" rel="bookmark" class="title">编译出错-新建第一个cocos2d项目出错</a>
					<div>
						问题描述 新建第一个cocos2d项目出错 使用的是vs2013ide,创建项目没有问题,但是编译出现了上面问题,还望大神指点迷津啊! 解决方案 #include &lt;algorithm&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/zJOaK2b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNjc0OTcvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/zJOaK2b.html" rel="bookmark" class="title">何谓机器学习？</a>
					<div>
						       最近我和一对夫妇共进晚餐,他们问我从事什么职业,我回应道:&quot;机器学习.&quot;妻子回头问丈夫:&quot;亲爱的,什么是机器学习?&quot;她的丈夫答道:&quot;T- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyqAnM.html" rel="bookmark" class="title">CNNIC&mdash;ISC互联网技术联合实验室成立</a>
					<div>
						本报讯 (张凤莎)为有效解决域名系统的安全漏洞问题,提供更加可靠的互联网基础服务,近日,中国互联网络信息中心(CNNIC)与全球领先的域名技术组织互联网软件系统联盟(ISC)成立互联网技术联合实验室, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwy3lWM.html" rel="bookmark" class="title">messageBox的问题</a>
					<div>
						问题描述 我为了在实现功能之后给出用户一个提示信息,然后跳转到相应的页面,用到MessageBox,但是在执行时我不点击弹出对话框的确定按钮,然而我的浏览器的进度条在自动增加,也就是说它在自动执行跳转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWARrM.html" rel="bookmark" class="title">关键词营销国足被骂</a>
					<div>
						本文不谈奥运,不谈国足,只分析关键词营销,前天国足输球,被红牌罚下两人,引来不少网络幽默恶搞. 有一个恶搞文字是 在百度 搜索 &quot;sb 饭桶 输人输球 浪费粮食 国猪 &quot;&amp; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG38goz.html" rel="bookmark" class="title">Eclipse中運行ant，運行到一半自動中斷了也沒有報錯，求教~~</a>
					<div>
						问题描述 我使用的是eclipse3.4.0 使用它自帶的ant編譯工程的時候有些工程的ant運行到一半自動中斷了也沒有報錯就像下面.Buildfile: D:JavaDevelopmentcsbsW ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQnkJM.html" rel="bookmark" class="title">GridView怎么在数据源没有数据的时候显示标头</a>
					<div>
						问题描述 如题数据源是List&lt;T&gt;的网上搜索的都不符合要求 解决方案 解决方案二:在EmptyDataTemplate模板中定义一个表头,例如截取的图片.解决方案三:前台:&lt;asp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baEZENb.html" rel="bookmark" class="title">张江高科发力创投业务参设张江磐石葆霖基金</a>
					<div>
						张江高科今日公告,公司全资子公司上海浩成创业投资有限公司拟与上海张江科技投资有限公司.上海拥军优属基金会以及上海磐石葆霖投资管理有限公司(暂定名)共同设立上海张江磐石葆霖创业投资基金(暂定名).这是继 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdBKB3b.html" rel="bookmark" class="title">百度算法再更新 应把精力放在内容和用户体验细节上</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 算法的每一次升级都将&quot;殃 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baEJ9nb.html" rel="bookmark" class="title">虚假报告为何会在分析机构盛行</a>
					<div>
						&quot;这件事说不清楚,UC与易观没完&quot;,UC优视副总裁韦东最后强调,&quot;我们会不惜任何代价得出一个结果,我们不要求对方道歉,收回报告就好.&quot;这段话摘自于一家媒体的报道 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
